> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cases

> This endpoint list cases.

### Body

<ParamField body="limit" required="false" type="string">
  This is the limit of the cases.
</ParamField>

<ParamField body="offset" required="false" type="string">
  This is the offset of the cases.
</ParamField>

<ParamField body="order_direction" required="false" type="string">
  This is the order direction of the cases.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the case
</ResponseField>

<ResponseField name="caseName" type="string">
  This is the name of the case
</ResponseField>

<ResponseField name="description" type="string">
  This is the description of the case
</ResponseField>

<ResponseField name="caseNumber" type="string">
  This is the number of the case
</ResponseField>

<ResponseField name="caseStatus" type="string">
  This is the status of the case
</ResponseField>

<ResponseField name="priority" type="string">
  This is the priority of the case
</ResponseField>

<ResponseField name="submitter" type="string">
  This is the submitter of the case
</ResponseField>

<ResponseField name="resolver" type="string">
  This is the resolver of the case
</ResponseField>

<ResponseField name="createdDate" type="string">
  This is the date the case was created
</ResponseField>

<ResponseField name="updatedDate" type="string">
  This is the date the case was updated
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/cases' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "limit": 10,
      "offset": 0,
      "order_direction": "asc"
  }'
  ```

  ```graphQL GraphQL theme={null}

   query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
    cases(limit: $limit, offset: $offset, order_by: {createdDate: $order_direction}) {
      id
      caseName
      description
      caseNumber
      caseStatus
      priority
      submitter
      resolver
      createdDate
    }
  }


  ```

  ```js Node.js theme={null}
  const cases= await stateset.channel_threads.retrieve({
    'ct_1NXWPnCo6bFb1KQto6C8OWvE'
  });
  ```

  ```py Python theme={null}
  cases= stateset.channel_threads.retrieve({
    'ct_1NXWPnCo6bFb1KQto6C8OWvE'
  })
  ```

  ```go Golang  theme={null}
  channel_threads, err := stateset.Messages.Retrieve(
    'ct_1NXWPnCo6bFb1KQto6C8OWvE'
  )
  ```

  ```ruby Ruby theme={null}
  cases= Stateset::Messages.retrieve(
    'ct_1NXWPnCo6bFb1KQto6C8OWvE'
  )
  ```

  ```java Java theme={null}
  Cases cases= Stateset.Cases.retrieve(
    'ct_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```csharp C# theme={null}
  Cases cases= Stateset.Cases.Retrieve(
    'ct_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```php PHP theme={null}
  $cases= Stateset\Cases::retrieve(
    'ct_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```http HTTP theme={null}
  GET /v1/cases HTTP/1.1
  Host: api.stateset.com
  Content-Type: application/json
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}

  {
      "data": {
          "case": {
              "id": "ca_1NXWPnCo6bFb1KQto6C8OWvE",
              "caseName": "Case Name",
              "description": "Case Description",
              "caseNumber": "Case Number",
              "caseStatus": "Case Status",
              "priority": "Priority",
              "submitter": "Submitter",
              "resolver": "Resolver",
              "createdDate": "2021-01-01T00:00:00.000Z"
          }
      }
  }


  ```
</ResponseExample>
